import React from 'react';
import { connect } from 'umi';
import ProductionReportComponent from '../../components/ProductionReport/ProductionReport';

function ProductionReport({ dispatch, app, content }) {
  const ProductionReportProps = {
    app,
    content,
    dispatch,
  };

  return (
    <ProductionReportComponent {...ProductionReportProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductionReport);
